/*
 * (c)1999-2000 Frank van Viegen
 * This code is subject to the GPL. Read COPYING for details.
 */

#include <string.h>

#ifndef IRMAN_H

#define IRMAN_H
#define IR_CODE_LEN	6

#define codecmp(c1,c2)	memcmp(c1,c2,IR_CODE_LEN)
#define codecpy(d,s)	memcpy(d,s,IR_CODE_LEN)

typedef char ircode[IR_CODE_LEN];

void initIrman(char *f, int (*handler)(ircode *));
void initKeyboard(int (*handler)(ircode *));
void finishIrman();
void finishKeyboard();
void flushIrman();
int getIrcode(ircode *code);
ircode *text2code(char *tstart);
char *code2text(ircode *code);

#endif
