/*
 * (c)1999-2000 Frank van Viegen
 * This code is subject to the GPL. Read COPYING for details.
 */

#include "irmanager.h"

char *version = VERSION;

char *versiontext =
"IRManager version " VERSION "\n"
"Copyright (c) 1999-2000 Frank van Viegen <frank@vanviegen.net>\n"
"Licensed under the terms of the GPL, detailed in the provided file COPYING.\n";

char *helptext =
"Usage: irman [OPTION]...\n"
"Handle signals from an IRMan device as specified in the config-file.\n"
"\n"
"  -c FILE  read configuration from FILE instead of ~/.irmanager/conf\n"
"  -d       don't daemonize\n"
"  -f       use named pipes as default fifo's (instead of pty's)\n"
"  -h       help\n"
"  -l FILE  append log-info to FILE ('-' for stdout)\n"
"  -n       discard configuration files\n"
"  -r DELAY key repeat delay in msec (0 none, <0 for ever)\n"
"  -t TTY   read IRMan data from TTY (overrides config-file)\n"
"  -T TERM  use terminal type TERM (or '-' to disable terminfo support)\n"
"  -u       don't lock tty\n"
"  -V       show version\n"
"  -x       testmode - use keyboard instead of IRMan device\n"
"\n"
"(c)1999-2000 Frank van Viegen <frank@vanviegen.net>\n";
