/*
 * (c)1999-2000 Frank van Viegen
 * This code is subject to the GPL. Read COPYING for details.
 */
 
#include <termios.h>

struct ttyInfo {
	int fd;
	int oldflags;
	struct termios oldterm;
	char *name;
};

struct ttyInfo *openTty(char *filename);
int closeTty(struct ttyInfo *);
int lockTty(char *s);
int unlockTty(char *s);
int ttyWriteChar(struct ttyInfo *, unsigned char data);
int ttyReadChar(struct ttyInfo *, long timeout);
void ttyUsleep(unsigned long usec);
